com.tibco.n2.service.adapter.component.impl

## Class BDSComponentImpl

- java.lang.Object
- - com.tibco.n2.service.adapter.component.impl.BDSComponentImpl

- All Implemented Interfaces:
    BDSComponent

      public class BDSComponentImpl
      extends java.lang.Object
      implements BDSComponent

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BDSComponentImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BusinessDataServicesAdminService` | `getAdminService()` Returns a BDS Public Service object (v3.0).
    `DocumentService` | `getDocumentService()` Returns a BDS Public Service object (v3.0).
    `BusinessDataServicesPublicService` | `getPublicService()` Returns a BDS Public Service object (v3.0).
    `void` | `setAdminService(BusinessDataServicesAdminService aValue)`
    `void` | `setDocumentService(DocumentService aValue)`
    `void` | `setPublicService(BusinessDataServicesPublicService aValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BDSComponentImpl

          public BDSComponentImpl()

  - ### Method Detail

    - #### setPublicService

          public void setPublicService(BusinessDataServicesPublicService aValue)

    - #### getPublicService

          public BusinessDataServicesPublicService getPublicService()
                                                             throws ConfigurationException

      Description copied from interface: `BDSComponent`
      Returns a BDS Public Service object (v3.0).
      Specified by:
        `getPublicService` in interface `BDSComponent`
      Throws:
        `ConfigurationException`

    - #### setAdminService

          public void setAdminService(BusinessDataServicesAdminService aValue)

    - #### getAdminService

          public BusinessDataServicesAdminService getAdminService()
                                                           throws ConfigurationException

      Description copied from interface: `BDSComponent`
      Returns a BDS Public Service object (v3.0).
      Specified by:
        `getAdminService` in interface `BDSComponent`
      Throws:
        `ConfigurationException`

    - #### setDocumentService

          public void setDocumentService(DocumentService aValue)

    - #### getDocumentService

          public DocumentService getDocumentService()
                                             throws ConfigurationException

      Description copied from interface: `BDSComponent`
      Returns a BDS Public Service object (v3.0).
      Specified by:
        `getDocumentService` in interface `BDSComponent`
      Throws:
        `ConfigurationException`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.